
// in units of 1/8
// for regular, monorail, maglev; regular, electric, monorail/maglev
var costrailmul, db 8, 16, 24, 8, 13, 16

// in: dl tracktype, (0,1,2) more will break
//	eax = cost
// out:
//	eax = new cost
calctrackcostdifference:
	call isrealhumanplayer
	je .ishuman
	ret

.ishuman:
	push edx

	testflags electrifiedrail
	jnc .noerail
	add dl, 3
.noerail:

	movzx edx, dl
	mov dl,[costrailmul+edx]
	imul edx
	clc
	sar eax, 3	// on some processors sar shifts in the carry flag??

.done:
	pop edx
	ret
; endp calctrackcostdifference:

addbuildtrackcost:
	push eax
	push ecx
	
	mov ecx,[curtooltracktypeptr]
	mov dl,byte [ecx]
	and dl,0x0f

	mov eax,[trackcost]

	call calctrackcostdifference
	add edi, eax
	
	pop ecx
	pop eax
	ret
; endp addbuildtrackcost

movremovetrackcost:
	push eax
	push ecx

	call locationtoxy

	mov dh,[landscape4(si)]
	shr dh,4			// get tile type
	
	cmp dh,2			// is it a roadcrossing?
	jne short .normal		// no it isn't
	mov dl,[landscape3+esi*2+1] // What tracktype we have?
	jmp short .masktype

.normal:
	mov dl,[landscape3+esi*2]	// What tracktype we have?
	
.masktype:
 	and dl,0x0f

	mov eax,[tracksale]
	call calctrackcostdifference

	mov ebx, eax
	
	pop ecx
	pop eax
	ret
; endp movremovetrackcost

addremovetrackcost: // Builderdash remove
	push eax
	push ecx

	push esi
	call locationtoxy
	mov dl,[landscape3+esi*2]	// What tracktype we have?
	and dl,0x0f
	
	mov eax,[tracksale]
	call calctrackcostdifference
	
	pop esi
	add esi, eax

	pop ecx
	pop eax
	ret
; endp addremovetrackcost
